/*! HTML5 Boilerplate v8.0.0 | MIT License | https://html5boilerplate.com/ */

/* main.css 2.1.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
  font-family: "Avenir Next", serif;
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}

body {
  /*font-family: ".SF NS Mono";*/
  display: flex;
}

ul {
  padding: 0;
  margin: 0;

  list-style: none;
}

a:link,
a:visited {
  text-decoration: none;
  color: white;
}

aside#side-nav {
  position: sticky;
  top: 0;
  left: 0;
  height: 100vh;
  width: calc(3vw + 3vh);
  min-width: 40px;
}

div.side-nav__content {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  background-color: #888888;
}

div.side-nav__content img {
  width: 80%;
  object-fit: cover;
  border-radius: 50%;
  margin-top: 20%;
}

ul.side-nav__content--social {
  display: flex;
  flex-direction: column;
  align-items: center;
}

ul.side-nav__content--social a {
  margin-bottom: 2vw;
}

ul.side-nav__content--social a i {
  color: white;
  font-size: 2.5vh;
}

#facebook:hover,
#facebook:active {
  color: #4267B2;
}

#twitter:hover,
#twitter:active {
  color: #1DA1F2;
}

#instagram {
  margin: -1px -2px 0;
  padding: 1px 2px 0;

  border-radius: 30%;
}
#instagram:hover,
#instagram:active {
  background: radial-gradient(circle farthest-corner at 35% 90%, #fec564, transparent 50%), radial-gradient(circle farthest-corner at 0 140%, #fec564, transparent 50%), radial-gradient(ellipse farthest-corner at 0 -25%, #5258cf, transparent 50%), radial-gradient(ellipse farthest-corner at 20% -50%, #5258cf, transparent 50%), radial-gradient(ellipse farthest-corner at 100% 0, #893dc2, transparent 50%), radial-gradient(ellipse farthest-corner at 60% -20%, #893dc2, transparent 50%), radial-gradient(ellipse farthest-corner at 100% 100%, #d9317a, transparent), linear-gradient(#6559ca, #bc318f 30%, #e33f5f 50%, #f77638 70%, #fec66d 100%);
}

#pinterest:hover,
#pinterest:active {
  color: #E60023;
}

main {
  flex: 1;
}

header#header {
  background-color: darkcyan;
  height: calc(3vw + 3vh);
  z-index: 2;
}

nav#header__main-nav {
  height: 100%;
}

ul.header__main-nav--links {
  width: 100%;
  height: 100%;

  display: flex;
  justify-content: flex-end;
  align-items: center;
}

ul.header__main-nav--links li {
  padding: 0 2rem;
}

ul.header__main-nav--links li a {
  position: relative;
  display: flex;
  justify-content: center;
  padding: 2px;
}

ul.header__main-nav--links li a:link::before,
ul.header__main-nav--links li a:visited::before,
ul.header__main-nav--links li a:link::after,
ul.header__main-nav--links li a:visited::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 0.25rem;
  background-color: white;

  transform: scaleX(0);
  transition: transform 0.2s cubic-bezier(1, 0, 0, 1);
}

ul.header__main-nav--links li a:link::before,
ul.header__main-nav--links li a:visited::before {
  top: 0;
  transform-origin: left;
}

ul.header__main-nav--links li a:link::after,
ul.header__main-nav--links li a:visited::after {
  bottom: 0;
  transform-origin: right;
}

ul.header__main-nav--links li a:hover::before,
ul.header__main-nav--links li a:active::before,
ul.header__main-nav--links li a:hover::after,
ul.header__main-nav--links li a:active::after {
  transform: scaleX(1);
}


section#showcase {
  height: 100vh;
  background: url("../img/full-bg-07.jpg") no-repeat fixed 70%;
  background-size: cover;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

div.showcase__content {
  padding: calc(1rem + 2vw);
  height: calc(5rem + 10vmax);
  width: calc(10rem + 15vmax);
  background-color: rgb(150, 150, 150, 0.2);
  color: white;
  translate: 20%;
  border-radius: 10px;

  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: flex-start;

  animation: hero 1s;
}

section#work {
  background-color: #eeeeee;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding: 2rem;
}

.work__card {
  padding: 2rem;
  flex-basis: 20rem;
  flex-grow: 1;
}

.work__card img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  border-radius: 10px;
}

@keyframes hero {
  0% {
    transform: translateX(100vw);
  }

  100% {
    transform: translateX(0);
  }

}

.showcase__content--title {
  color: #EAEAE0;
  font-weight: 800;
}

.showcase__content--paragraph {
  font-size: 1.3rem;
  font-weight: 300;
}

section#about-me {
  display: flex;
  background-color: orange;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-evenly;
}

.about-me__img,
.about-me__content {
  flex-basis: 10rem;
  flex-grow: 1;
}

.about-me__content {
  padding: 2rem;
}

.about-me__img img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.about-me__content--title {
  color: white;
}

section#testimonials {
  padding: 2vw;
  background-color: salmon;
  color: white;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
}

.testimonials__card {
  flex-basis: 40rem;
  position: relative;
  padding: 20px;
  border-radius: 50px;
}

.testimonials__card--image {}

.testimonials__card--image img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  border-radius: 10px;
}

.testimonials__card--content {
  position: absolute;
  top: 50%;
  left: 0;
  bottom: 0;
  background-color: rgb(0, 0, 0, 0.6);

  opacity: 0;
  margin: 20px;
  padding: 20px;

  border-radius: 0 0 10px 10px ;
  transition: opacity 0.3s ease-in-out;
}

.testimonials__card:active .testimonials__card--content,
.testimonials__card:hover .testimonials__card--content {
  opacity: 1;
}

.testimonials__card--content__title {
  font-size: 1.4rem;
  font-weight: 800;
  text-transform: uppercase;

}
.testimonials__card--content__paragraph--signature,
.testimonials__card--content__paragraph {
  font-size: 1.3rem;
  font-weight: 300;
}

.testimonials__card--content__paragraph--signature {
  text-align: right;
  translate: -10px -20px;
}


/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Vendor-prefixed and regular ::selection selectors cannot be combined:
 * https://stackoverflow.com/a/16982510/7133471
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */

/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden,
[hidden] {
  display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 *
 * 1. For long content, line feeds are not interpreted as spaces and small width
 *    causes content to wrap 1 word per line:
 *    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 */

.sr-only {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
  /* 1 */
}

/*
 * Extends the .sr-only class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.sr-only.focusable:active,
.sr-only.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  white-space: inherit;
  width: auto;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
  visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    `contenteditable` attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that receive the `clearfix` class.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */

.clearfix::before,
.clearfix::after {
  content: " ";
  display: table;
}

.clearfix::after {
  clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media screen and (min-width: 1510px) {
  body {
    width: 1520px;
    margin: 0 auto;
  }
}

@media screen and (max-width: 800px) {
  ul.side-nav__content--social a i {
    color: white;
    font-size: 3vh;
  }

  header#header {
    position: absolute;
  }

  nav#header__main-nav {
    background-color: rgb(0, 0, 0, 0.6);
    height: 100%;
    position: fixed;
    top: 0;
    right: 0;
    width: 15rem;
  }

  .clicked {
    left: 100%;
  }

  .header__main-nav--hamburger {
    width: 20px;
    height: 20px;
    position: fixed;
    top: 1rem;
    right: 1rem;
    cursor: pointer;
    padding: 1rem;
    background-color: steelblue;
    border-radius: 50%;

    display: flex;
    flex-direction: column;
    justify-content: space-around;
  }

  ul.header__main-nav--links {
    height: 100%;
    flex-direction: column;
  }

  ul.header__main-nav--links li {
    margin-bottom: 20px;
  }

  .line {
    width: 100%;
    height: 0.3rem;
    background-color: white;
    border-radius: 0.2rem;
    transition: all 0.4s ease-in-out;
  }

  section#showcase {
    align-items: flex-end;
  }

  div.showcase__content {
    border-radius: 0;
    translate: 0;
    max-width: 80vw;

    animation: hero 1s;
  }

  section#about-me {
    display: flex;
    flex-direction: column;
  }

  section#about-me {
    padding: 10vw;
  }

  .about-me__img img{
    border-radius: 10px;
  }

  .about-me__content {
    padding: 0;
  }

  .about-me__content--title {
    font-size: 2rem;
  }

  .work__card {
    padding: 3vw;
  }

  section#testimonials {
    padding: 0;
  }

  .testimonials__card--content {
    top: 0;
    border-radius: 10px ;
  }

  .testimonials__card--content__title {
    font-size: 1rem;
    font-weight: 800;
    text-transform: uppercase;

  }
  .testimonials__card--content__paragraph--signature,
  .testimonials__card--content__paragraph {
    font-size: 0.8rem;
    font-weight: 400;
  }

  .testimonials__card--content__paragraph--signature {
    text-align: right;
    translate: -10px -20px;
  }

}

@media screen and (max-width: 600px) {
  div.showcase__content {
    height: unset;
    width: unset;
    background-color: rgb(10, 10, 10, 0.5);
  }
}

@media only screen and (min-width: 35em) {
  /* Style adjustments for viewports that meet the condition */
}

@media print,
  (-webkit-min-device-pixel-ratio: 1.25),
  (min-resolution: 1.25dppx),
  (min-resolution: 120dpi) {
  /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
  *,
  *::before,
  *::after {
    background: #fff !important;
    color: #000 !important;
    /* Black prints faster */
    box-shadow: none !important;
    text-shadow: none !important;
  }

  a,
  a:visited {
    text-decoration: underline;
  }

  a[href]::after {
    content: " (" attr(href) ")";
  }

  abbr[title]::after {
    content: " (" attr(title) ")";
  }

  /*
   * Don't show links that are fragment identifiers,
   * or use the `javascript:` pseudo protocol
   */
  a[href^="#"]::after,
  a[href^="javascript:"]::after {
    content: "";
  }

  pre {
    white-space: pre-wrap !important;
  }

  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }

  /*
   * Printing Tables:
   * https://web.archive.org/web/20180815150934/http://css-discuss.incutio.com/wiki/Printing_Tables
   */
  thead {
    display: table-header-group;
  }

  tr,
  img {
    page-break-inside: avoid;
  }

  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }

  h2,
  h3 {
    page-break-after: avoid;
  }
}

